# Uses of Class
org.apache.qpid.proton.amqp.transport.ErrorCondition

Packages that use ErrorCondition
Package
Description
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec.transport
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of ErrorCondition in org.apache.qpid.proton.amqp.messaging

Methods in org.apache.qpid.proton.amqp.messaging that return ErrorCondition
Modifier and Type
Method
Description
`ErrorCondition`
Rejected.`getError()`
Methods in org.apache.qpid.proton.amqp.messaging with parameters of type ErrorCondition
Modifier and Type
Method
Description
`void`
Rejected.`setError(ErrorCondition error)`

## Uses of ErrorCondition in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return ErrorCondition
Modifier and Type
Method
Description
`ErrorCondition`
Close.`getError()`
`ErrorCondition`
Detach.`getError()`
`ErrorCondition`
End.`getError()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type ErrorCondition
Modifier and Type
Method
Description
`void`
ErrorCondition.`copyFrom(ErrorCondition condition)`
`void`
Close.`setError(ErrorCondition error)`
`void`
Detach.`setError(ErrorCondition error)`
`void`
End.`setError(ErrorCondition error)`

## Uses of ErrorCondition in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return ErrorCondition
Modifier and Type
Method
Description
`ErrorCondition`
ErrorConditionType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.transport that return types with arguments of type ErrorCondition
Modifier and Type
Method
Description
`Class<ErrorCondition>`
ErrorConditionType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.transport with parameters of type ErrorCondition
Modifier and Type
Method
Description
`protected List`
ErrorConditionType.`wrap(ErrorCondition val)`
Constructors in org.apache.qpid.proton.codec.transport with parameters of type ErrorCondition
Modifier
Constructor
Description
``
`ErrorConditionWrapper(ErrorCondition errorCondition)`

## Uses of ErrorCondition in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return ErrorCondition
Modifier and Type
Method
Description
`ErrorCondition`
Endpoint.`getCondition()`
`ErrorCondition`
Transport.`getCondition()`
`ErrorCondition`
Endpoint.`getRemoteCondition()`
Methods in org.apache.qpid.proton.engine with parameters of type ErrorCondition
Modifier and Type
Method
Description
`void`
Endpoint.`setCondition(ErrorCondition condition)`
Set the local error condition

## Uses of ErrorCondition in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return ErrorCondition
Modifier and Type
Method
Description
`ErrorCondition`
EndpointImpl.`getCondition()`
`ErrorCondition`
TransportImpl.`getCondition()`
`ErrorCondition`
EndpointImpl.`getRemoteCondition()`
Methods in org.apache.qpid.proton.engine.impl with parameters of type ErrorCondition
Modifier and Type
Method
Description
`void`
EndpointImpl.`setCondition(ErrorCondition condition)`
`void`
TransportImpl.`setCondition(ErrorCondition error)`